Subject: [Roll] new text in the turn-on draft

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Tue, 19 Nov 2019 06:17:50 +0000

Dear all

As discussed this morning we need text to restrict the 'T' flag to be defined only for RPLv1.

Proposed updated text:

.  Updating RFC 6550

   RPL defines a configuration option that is registered to IANA in
   section 20.14. of [RFC6550].  This specification defines a new flag
   "Enable RFC8138 Compression" (T) that is encoded in one of the
   reserved control bits in the option.  The new flag is set to turn on
   the use of the compression of RPL artifacts with RFC 8138.
   Section 6.3.1.  of [RFC6550] defines a 3-bit Mode of Operation (MOP)
   in the DIO Base Object.  The new "T" flag is defined only for MOP
   value between 0 to 6.  For a MOP value of 7, the flag MAY indicate
   something different and MUST NOT be interpreted as "Enable RFC8138
   Compression" unless the specification of the MOP indicates to do so.

Does that work?

---

From: Rahul Jadhav <[email-masked]>
Date: Tue, 19 Nov 2019 18:31:42 +0800

The text essentially frees up the bit for RPLv2 (unless needed).
Works for me.
Thank you.

On Tue, 19 Nov 2019 at 14:18, Pascal Thubert (pthubert)
<[email-masked]> wrote:
>
> Dear all
>
>
>
> As discussed this morning we need text to restrict the ‘T’ flag to be defined only for RPLv1.
>
>
>
> Proposed updated text:
>
>
>
> .  Updating RFC 6550
>
>
>
> _______________________________________________
> Roll mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/roll